• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • [How To] Use iFaith to Save SHSH Blobs + APticket for iOS 5.0 + Build Custom Firmware

    iFaith was updated as insurance for iOS 5.0 for you.

    iH8sn0w released the updated iFaith not too long ago as I reported earlier this week and it allowed you to save your SHSH blobs and APticket for iOS 5.0 and let you build a custom '.ipsw' file that you could use to restore to iOS 5.0 in iTunes at any time. We already went over that though and there will be another guide coming up that explains how to use that custom '.ipsw' file to downgrade to iOS 5.0. In this guide, we will be showing you how to save your information and build your '.ipsw' file.

    YOU WILL NEED:
    1. A Windows machine (or Mac running Windows)
    2. iFaith version 1.4
    3. An iOS 5.0 iDevice.

    The first step is to plug your iDevice into your computer and download iFaith from the link provided above.

    Once you download and unzip the iFaith file, open it and you will be welcomed by the iFaith window. Follow the prompts and then click on the Dump SHSH Blobs button as shown by the yellow bounding box below:



    You will be prompted with warnings, just click on Proceed:



    After that you'll be shown the credits, just click on Let's Go!:



    iFaith will ask you if you are dumping blobs for an Apple TV or not. I am not so I have clicked on, "No":



    After you do that, you will be asked to power down your iDevice and then put it into DFU mode. Putting your iDevice into DFU mode is simple. You can follow the on-screen instructions of iFaith, or you can just hold down Power and Home for 10 seconds, then let go of Power and continue holding Home for about 15 seconds. Your device will then be in DFU mode and you can click on Start:



    Once you click start, iFaith will use a combination of Greenpois0n and Limera1n exploits to enter your iDevice:



    Once the exploiting is done, it will begin fetching your SHSH blobs:



    When it finishes finding and saving your SHSH blobs, it will prompt you to find a save location for the SHSH blob file. I recommend putting it in your documents folder or somewhere that you will always remember to look when you need to use it. You should back this file up on several drives if you can because it's a pretty important file:



    After you've saved it, you'll get a message saying that it was a success and it will warn you again that the file is really important and asked you to back it up to several locations and even email it to yourself for extra insurance. Just click OK and you will be returned to the main menu:



    Once at the main menu again, you are going to use the SHSH file that you saved in order to build a custom '.ipsw' file. To do this, click on the 'Build *signed* IPSW w/Blobs' button:



    You will be greeted with credits again, just click on the Build IPSW button:



    Next, you will be asked to browse for the SHSH blobs file that you saved earlier. So, click on Browse for SHSH Blobs Cache:



    Open the file location that you saved it to and click on open:



    Now you will be asked to browse for your current iDevice's '.ipsw' file:



    Search for your iOS 5.0 file for the iDevice that you are using in this tutorial, for me this is the iPod touch 4G:



    After you select both your files, let iFaith build your custom '.ipsw' file. When it's finished, you will end up with a weird named file such as '000000H3U553N5_iFaith_iPod_Touch_4-5.0 (9A334)_signed.ipsw'. This is the signed file that you will use in this tutorial to restore back to iOS 5.0.

    Did everything work out for you this far? Share in the comments below!

    Sources: iH8sn0w
    This article was originally published in forum thread: [How To] Use iFaith to Save SHSH Blobs + APticket for iOS 5.0 + Build Custom Firmware started by Anthony Bouchard View original post
    Comments 46 Comments
    1. jfreezy's Avatar
      jfreezy -
      So to help me be clear - since I am already on 5.0.1 using a Semi-Tether JB on an iPhone 4, I CANNOT use iFaith correct?
    1. alandalebe's Avatar
      alandalebe -
      I just used it right now with 5.0.1 and I was able to dump the blobs and created the ipsw.
    1. Anthony Bouchard's Avatar
      Anthony Bouchard -
      Quote Originally Posted by jfreezy View Post
      So to help me be clear - since I am already on 5.0.1 using a Semi-Tether JB on an iPhone 4, I CANNOT use iFaith correct?
      You can still use it to save your iOS 5.0.1 blobs.
    1. -JailbreakeR-'s Avatar
      -JailbreakeR- -
      Ifaith works for blobs on 5.0.1 as well.
    1. Fi2o's Avatar
      Fi2o -
      I would like to know if iFaith works with preserved baseband IPSWs, I mean, after I got the blobs extracted and it prompts me to build a custom SHSH blobs IPSW, can I point it to a preserved baseband IPSW and then I'll be able to downgrade AND preserve baseband?
    1. linkisbest's Avatar
      linkisbest -
      I have a 3GS new boot-rom running 4.1 Is it possible for me to save the SHSH for 5.0.1 so that in case the new untethered turns out not to be compatible with 5.1, but with 5.0.1, I'll be able to upgrade to 5.0.1 and not 5.1? I havn't upgraded yet because, being an unlocker, I need ultrasn0w to work, which it currently doesn't on 5.0.1.

      Edit: Tried it, and it only allows me to make a .ispw with my installed 4.1 firmeware. I guess you can only create blobs for the firmware your on. /: Hmm, dissapointing, but still making progress! Way to go ih8sn0w
    1. greeneyes5066's Avatar
      greeneyes5066 -
      I can't seem to be able to use it. I have the iPhone 4S on iOS 5.0, A macbookpro with bootcamp installed running in Parallels, iFaith version 1.4. All goes well, DFU entry mode is a bit different then I'm used to... Phone goes into DFU, then iFaith says unsupported device. What gives? Do I need to boot into bootcamp intend of VM? Maybe? Or is iPhone 4S not supported?
    1. Anthony Bouchard's Avatar
      Anthony Bouchard -
      Quote Originally Posted by greeneyes5066 View Post
      I can't seem to be able to use it. I have the iPhone 4S on iOS 5.0, A macbookpro with bootcamp installed running in Parallels, iFaith version 1.4. All goes well, DFU entry mode is a bit different then I'm used to... Phone goes into DFU, then iFaith says unsupported device. What gives? Do I need to boot into bootcamp intend of VM? Maybe? Or is iPhone 4S not supported?
      iPhone 4S. There's your problem.
    1. linkisbest's Avatar
      linkisbest -
      Quote Originally Posted by greeneyes5066 View Post
      I can't seem to be able to use it. I have the iPhone 4S on iOS 5.0, A macbookpro with bootcamp installed running in Parallels, iFaith version 1.4. All goes well, DFU entry mode is a bit different then I'm used to... Phone goes into DFU, then iFaith says unsupported device. What gives? Do I need to boot into bootcamp intend of VM? Maybe? Or is iPhone 4S not supported?
      On the second, image, the last line of text says that it's not yet compatible with the 4S (weel actually it says it's compatible with all models except the 4S). Sorry
    1. Mr. Russian's Avatar
      Mr. Russian -
      For me it doesn't recognize my iPhone 4 in dfu mode on MacBook pro paralells windows 7
    1. Anthony Bouchard's Avatar
      Anthony Bouchard -
      Quote Originally Posted by Mr. Russian View Post
      For me it doesn't recognize my iPhone 4 in dfu mode on MacBook pro paralells windows 7
      You cannot be using a Virtual Machine. I tried that, it didn't work for me either.
    1. Naim Al Fanek's Avatar
      Naim Al Fanek -
      Hey do i need to be jailbroken for this to work? and by putting my phone in DFU mode. is the Ifaith going to jailbreak my phone or cause me to restore??
    1. SnowLeo's Avatar
      SnowLeo -
      So would ipad 2 also fall under the category of unsupported device?
      Can I use this to get the 5.0.1 SHSH blobs off my iphone 4 running 4.2.6 without needing to update first (tinyumbrella wouldnt save them)?
    1. Cer0's Avatar
      Cer0 -
      The newest version of TinyUmbrella can save 5.0.1 tickets and blobs.

      I hear it does it for the 4S to I think. Not 100% though because I never looked. (Only the newest version of TU)
    1. Mr. Russian's Avatar
      Mr. Russian -
      Quote Originally Posted by Anthony Bouchard View Post
      You cannot be using a Virtual Machine. I tried that, it didn't work for me either.
      Oh ok
    1. KakashiSS1's Avatar
      KakashiSS1 -
      I have an iPod 4g on iOS 5.0 it says unknown iOS detected everytime I try to save the shsh blobs. Anyway to fix it? thanks
    1. jhbalaji's Avatar
      jhbalaji -
      I already save the SHSH Blobs for 4.1, 5.0.1, and 5.1b1 is that not enough
      I did that with Tiny Umberella 5.10.00
      Please reply
    1. Cer0's Avatar
      Cer0 -
      Quote Originally Posted by jhbalaji View Post
      I already save the SHSH Blobs for 4.1, 5.0.1, and 5.1b1 is that not enough
      I did that with Tiny Umberella 5.10.00
      Please reply
      Can't look to see what latest version is because work internet blocks the site. If you have the latest then it saves the APTickets for 5.0.1. Go to his website and make sure you have latest to get the blobs and ticket for 5.0.1.
    1. sqelch's Avatar
      sqelch -
      Quote Originally Posted by jhbalaji View Post
      I already save the SHSH Blobs for 4.1, 5.0.1, and 5.1b1 is that not enough
      I did that with Tiny Umberella 5.10.00
      Please reply
      ^i would love to know this

      so if tinyumbrella says it has my 5.0.1 bloobs, it also has my appticket?
    1. Cer0's Avatar
      Cer0 -
      Quote Originally Posted by sqelch View Post
      ^i would love to know this
      Again: latest version saves the blobs and APTicket for 5.0.1. It started getting the APTickets with 5.0.1.